<div class="container-main" style="height: 100%; background: white; z-index: 999;">
  <div class="container" style="width: 100%">
      
      <div #widgetcontainer id="widget-container" style="position: fixed;bottom: 0;right: 20%;left: 20%;height: 100%;border: 1px solid black; border-top:0; border-bottom: 0;">
          <div style="width:100%;height:100%;border:0px;" id="sub-widget-container"></div>
      </div>
      <div id="action-controls" style="width: 19%; padding: 1%;position: absolute;left:0;">
          <video controls="" style="width: 105%;margin-left: -15px;margin-top: -23px; display: none;"></video>
          <h2>Select Tools</h2>
          <input type="checkbox" id="pencil" checked>
          <label for="pencil">pencil</label><br>
      
          <input type="checkbox" id="marker" checked>
          <label for="marker">marker</label><br>
      
          <input type="checkbox" id="eraser" checked>
          <label for="eraser">eraser</label><br>
      
          <input type="checkbox" id="text" checked>
          <label for="text">text</label><br>
      
          <input type="checkbox" id="image" checked>
          <label for="image">image</label><br>
      
          <input type="checkbox" id="line" checked>
          <label for="line">line</label><br>
      
          <input type="checkbox" id="arrow" checked>
          <label for="arrow">arrow</label><br>
      
          <input type="checkbox" id="zoom" checked>
          <label for="zoom">zoom</label><br>
      
          <input type="checkbox" id="dragSingle" checked>
          <label for="dragSingle">dragSingle</label><br>
      
          <input type="checkbox" id="dragMultiple" checked>
          <label for="dragMultiple">dragMultiple</label><br>
      
          <input type="checkbox" id="arc" checked>
          <label for="arc">arc</label><br>
      
          <input type="checkbox" id="rectangle" checked>
          <label for="rectangle">rectangle</label><br>
      
          <input type="checkbox" id="quadratic" checked>
          <label for="quadratic">quadratic</label><br>
      
          <input type="checkbox" id="bezier" checked>
          <label for="bezier">bezier</label><br><br>
      </div>
      
      <div class="extra-controls">
          <!-- <button id="btn-display-undo-popup">Undo</button> -->
          <button class="btn btn-clear" (click)="clearCanvas()">clear</button>

      </div>
            
  </div>
</div>